Subject: Vim 6.0a alpha available
From: Bram Moolenaar <[email-masked]>
To: [email-masked]
Date: Sun, 09 Jul 2000 20:37:56 +0200

Here it is, the first Vim in the 6.0 series.

WARNING: This is really an unstable version.  Many things have been added
without proper testing.  It does crash.  It may destroy your work.

This version is for developers, thus it comes as source code only.
If you run into something that doesn't work, please try to figure out why,
try to solve it and send me a patch.  If you can't do that, at least send me
precise information to save me time.

If you don't like the syntax of a command, the name of an option or how the
new features work, let's discuss this in the vim-dev maillist.

Summary of the most important additions and their status:

A.  Folding
	Defining and displaying folds works properly.
	Need to check all commands if they work well with closed folds.
	Need to automatically open/close folds when jumping around.
	Need to store and retrieve fold state in the "view" of a file.
B.  UTF-8 support
	Mostly works.  Many small items still to be fixed.
	GTK GUI can't handle UTF-8 font yet.
	Need to add automatic charcode detection when reading a file.
C.  Multi-line regexp patterns
	Works.
D.  Vertical window split
	Works.
	Only a few improvements to do.
E.  Virtual edit
	Works for some commands.  Still needs to be improved a lot.
F.  Sun Visual workshop (debugger) interface
	Code is included but not tested.
G.  Edit command line with Vi commands
	Nothing done yet.
H.  More automatic testing
	Nothing done yet.
I.  Multi-language support
	Added gettext() stuff.  Needs to be tested.
	":menutrans" works, but how to handle different encodings?
J.  User Friendlier
	Need to add a path to find runtime files.
	Don't copy modeline settings to next buffer or window.

More info at ":help version6".

Lots of things are not working yet.  Check ":help todo" for known items.

I NEED YOUR HELP: There is still a lot of work to be done.  If I have to do it
all by myself it will take a very long time until Vim.6.0 is ready.  Please
give a hand by implementing one of the items in the todo list.

You can find it here: ftp://ftp.vim.org/pub/vim/unreleased/

unix/vim-6.0a-rt.tar.gz		runtime files
unix/vim-6.0a-src.tar.gz	sources

extra/vim-6.0a-extra.tar.gz	extra files
extra/vim-6.0a-lang.tar.gz	multi-language files

Happy Vimming!